org.deidentifier.arx.gui.view.impl.common

## Class PageableTableNavigatorFactory

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.PageableTableNavigatorFactory

All Implemented Interfaces:
  org.eclipse.nebula.widgets.pagination.renderers.ICompositeRendererFactory

    public class PageableTableNavigatorFactory
    extends java.lang.Object
    implements org.eclipse.nebula.widgets.pagination.renderers.ICompositeRendererFactory

Adapted from the Nebula source. Contributors: Angelo ZERR - initial API and implementation Pascal Leclercq - initial API and implementation

### Constructor Summary

Constructors
Constructor and Description
`PageableTableNavigatorFactory()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.nebula.widgets.pagination.PageableController controller)` Creates the composite
`static PageableTableNavigatorFactory` `getFactory()` Returns the factory

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageableTableNavigatorFactory

    public PageableTableNavigatorFactory()

### Method Detail

#### getFactory

    public static PageableTableNavigatorFactory getFactory()

Returns the factory

#### createComposite

    public org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                             int style,
                                                             org.eclipse.nebula.widgets.pagination.PageableController controller)

Creates the composite

Specified by:
  `createComposite` in interface `org.eclipse.nebula.widgets.pagination.renderers.ICompositeRendererFactory`